[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'RttiUtils' (#fcl)

# TPropsStorage.LoadProperties

Load a list of properties

## Declaration

Source position: rttiutils.pp line 116

`public procedure TPropsStorage.LoadProperties(`
`PropList: TStrings`
`);`

## Arguments

`PropList` |  | List with names of properties whose value should be loaded

## Description

LoadProperties loads the values of all properties in PropList from the storage mechanism. The list should contain names of published properties of the AObject object.

## Errors

If an invalid property name is specified, an exception will be raised.

## See also

AObject |  | Object to load or store properties from
StoreAnyProperty |  | Store a property value
StoreProperties |  | Store a list of properties
LoadAnyProperty |  | Load a property value